QuantLib: LatticeShortRateModelEngine< Arguments, Results > Class Template Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
LatticeShortRateModelEngine< Arguments, Results > Class Template Reference

Engine for a short-rate model specialized on a lattice. More...

`#include <ql/pricingengines/latticeshortratemodelengine.hpp>`

Inheritance diagram for LatticeShortRateModelEngine< Arguments, Results >:
[legend]

## Public Member Functions
| LatticeShortRateModelEngine (const boost::shared_ptr< ShortRateModel > &model, Size timeSteps)
| LatticeShortRateModelEngine (const Handle< ShortRateModel > &model, Size timeSteps)
| LatticeShortRateModelEngine (const boost::shared_ptr< ShortRateModel > &model, const TimeGrid &timeGrid)
void | update ()
Public Member Functions inherited from GenericModelEngine< ShortRateModel, Arguments, Results >
| GenericModelEngine (const Handle< ShortRateModel > &model=Handle< ShortRateModel >())
| GenericModelEngine (const boost::shared_ptr< ShortRateModel > &model)
Public Member Functions inherited from GenericEngine< Arguments, Results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from PricingEngine
virtual void | calculate () const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Protected Attributes
TimeGrid | timeGrid_
Size | timeSteps_
boost::shared_ptr< Lattice > | lattice_
Protected Attributes inherited from GenericModelEngine< ShortRateModel, Arguments, Results >
Handle< ShortRateModel > | model_
Protected Attributes inherited from GenericEngine< Arguments, Results >
Arguments | arguments_
Results | results_

## Detailed Description

### template<class Arguments, class Results>
class QuantLib::LatticeShortRateModelEngine< Arguments, Results >

Engine for a short-rate model specialized on a lattice.

Derived engines only need to implement the `calculate()` method

## Member Function Documentation

void update | ( |  | ) |
| virtual

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Implements Observer.